<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.BizFilesMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.BizFiles">
        <id column="file_id" property="fileId" />
        <result column="file_name" property="fileName" />
        <result column="folder_id" property="folderId" />
        <result column="file_size" property="fileSize" />
        <result column="file_type" property="fileType" />
        <result column="file_path" property="filePath" />
        <result column="creator_id" property="creatorId" />
        <result column="upload_time" property="uploadTime" />
        <result column="update_time" property="updateTime" />
        <result column="is_deleted" property="isDeleted" />
        <result column="version" property="version" />
        <result column="md5" property="md5" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        file_id, file_name, folder_id, file_size, file_type, file_path, creator_id, upload_time, update_time, is_deleted, version, md5
    </sql>

</mapper>
